## msgpack-c 1.4.2

=== debian/changelog ===
msgpack-c (1.4.2-4) unstable; urgency=medium

  * Apply another upstream patch to fix FTBFS on sparc64.

 -- James McCoy <jamessan@debian.org>  Sat, 17 Sep 2016 13:53:14 -0400

msgpack-c (1.4.2-3) unstable; urgency=medium

  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Fri, 02 Sep 2016 21:52:39 -0400

msgpack-c (1.4.2-2) experimental; urgency=medium

  * Apply upstream patch to fix FTBFS on sparc64.

 -- James McCoy <jamessan@debian.org>  Thu, 21 Jul 2016 23:00:26 -0400

msgpack-c (1.4.2-1) experimental; urgency=medium

  * New upstream release
    + Fix FTBFS with gcc6

 -- James McCoy <jamessan@debian.org>  Tue, 28 Jun 2016 21:51:41 -0400

msgpack-c (1.4.0-2) experimental; urgency=medium

  * Bump minimum symbols version of APIs which deal with the object types.
    (Closes: #814096)

 -- James McCoy <jamessan@debian.org>  Sun, 14 Feb 2016 15:07:31 -0500

msgpack-c (1.4.0-1) experimental; urgency=medium

  * New upstream release
    + libmsgpack.so no longer exists, since the C++ code is header-only.
      libmsgpackc.so is the C library.
  * Remove libmsgpack4 package.
  * Build and include documentation in libmsgpack-doc

 -- James McCoy <jamessan@debian.org>  Sat, 23 Jan 2016 02:12:45 -0500

msgpack-c (1.3.0-3) experimental; urgency=medium

  * Cherry-pick upstream patch to fix FTBFS on big-endian architectures.

 -- James McCoy <jamessan@debian.org>  Fri, 15 Jan 2016 20:56:59 -0500

msgpack-c (1.3.0-2) experimental; urgency=medium

  * Cherry-pick upstream patch to fix FTBFS when “char” is unsigned.
  * Enable all hardening build flags.

 -- James McCoy <jamessan@debian.org>  Wed, 13 Jan 2016 20:03:40 -0500

msgpack-c (1.3.0-1) experimental; urgency=medium

  * New upstream release
    + Fix FTBFS on ARM (Closes: #749079)
    + License change from Apache 2.0 to Boost Software License 1.0
    + Support for msgpack v5 format
    + C++11 support
    + Rewritten README with current links to msgpack information.  (Closes:
      #703657)
  * Point watch file to GitHub releases.
  * Bump debhelper compat to 9
  * Switch from cdbs to dh
    + Use autotools-dev addon to update config.{sub,guess}.  (Closes: #734569)
  * Add libgtest-dev and zlib1g-dev to Build-Depends, so the test suite can be
    run.
  * Enable C++11 support
  * Mark libmsgpack4 and libmsgpackc2 as Multi-Arch: same
  * Declare compliance with policy 3.9.6
  * Include msgpack.pc in libmsgpack-dev

 -- James McCoy <jamessan@debian.org>  Sun, 10 Jan 2016 22:45:48 -0500

msgpack (0.5.7-3) unstable; urgency=low

  * Migration from Subversion to Git
  * Bump Standards-Version to 3.9.4.

 -- Taku YASUI <tach@debian.org>  Fri, 16 Aug 2013 18:13:02 +0900

msgpack (0.5.7-2) unstable; urgency=low

  * Fix big-endian problem
    - Add patch 20_fix_bigendian
      https://github.com/msgpack/msgpack/commit/b8aa93ce30d11d091b339bff0e10ddf3a8d08daf

 -- Taku YASUI <tach@debian.org>  Mon, 16 Apr 2012 03:23:53 +0900

msgpack (0.5.7-1) unstable; urgency=low

  * New upstream release
  * Remove needless README.source
  * Move repository to svn.debian.org
    - Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/msgpack
  * Bump Standards-Version to 3.9.3

 -- Taku YASUI <tach@debian.org>  Sat, 31 Mar 2012 05:53:02 +0900

msgpack (0.5.4-2) unstable; urgency=low

  * Remove *.la file from libmsgpack-dev (closes: #622438)
  * Change Standard-Version to 3.9.2

 -- Taku YASUI <tach@debian.org>  Sat, 18 Jun 2011 12:31:24 +0900

msgpack (0.5.4-1) unstable; urgency=low

  * New upstream release

 -- Taku YASUI <tach@debian.org>  Fri, 10 Sep 2010 23:49:13 +0900

msgpack (0.5.1-1) unstable; urgency=low

  * Initial release (closes: #588387)

 -- Taku YASUI <tach@debian.org>  Mon, 12 Jul 2010 02:27:55 +0900
