## msgpack-c 2.1.5

=== debian/changelog ===
msgpack-c (2.1.5-2) unstable; urgency=medium

  * control:
    + Change Vcs-* to salsa.debian.org
    + Declare compliance with Policy 4.1.3
    + Set myself as maintainer.  Thanks to Taku YASUI for all his work on the
      package
    + Set Rules-Requires-Root to no
  * Bump debhelper compat to 11
  * Install doxygen docs using dh_installdocs
  * rules: Remove -pie from hardening build options for dpkg >= 1.18.23
  * Stop installing duplicate copy of upstream README
  * Register API documentation with doc-base

 -- James McCoy <jamessan@debian.org>  Wed, 28 Mar 2018 21:07:03 -0400

msgpack-c (2.1.5-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable
  * Declare compliance with Policy 4.1.0
    + Change Priority from extra to optional

 -- James McCoy <jamessan@debian.org>  Sun, 17 Sep 2017 08:53:26 -0400

msgpack-c (2.1.3-1) experimental; urgency=medium

  * New upstream release
    + Fix FTBFS with gcc-7 (Closes: #853564)
    + Bump minimum CMake version to 2.8.12
    + Provide CMake config files to assist building against msgpack-c.

 -- James McCoy <jamessan@debian.org>  Sun, 18 Jun 2017 22:15:47 -0400

msgpack-c (2.1.1-1) experimental; urgency=medium

  * New upstream release (Closes: #845066)
    + Incompatible changes in v2 API
      - Removed pointer versions of msgpack::unpack APIs.
      - Removed pointer versions of msgpack::convert APIs.
      - Removed msgpack::type::nil in favor of msgpack::type::nil_t.
      - Removed std::string specialization for msgpack::object conversion.
    + New FLOAT32/FLOAT64 object types, the latter of which is the same as the
      existing FLOAT type.
      - This also introduces explicit (un)pack functions that handle C's float
        instead of coercing them to double.
  * debian/rules: Rework to use CMake instead of autotools
  * Update symbols for new APIs/object types
  * Declare compliance with policy 3.9.8, no changes needed

 -- James McCoy <jamessan@debian.org>  Thu, 01 Jun 2017 23:59:45 -0400

msgpack-c (1.4.2-5) unstable; urgency=medium

  * Backport upstream patches to fix FTBFS with GCC-7. (Closes: #871140)

 -- James McCoy <jamessan@debian.org>  Mon, 21 Aug 2017 07:00:24 -0400
