=== debian/control ===
--- 
+++ 
@@ -1,21 +1,18 @@
 Source: msgpack-c
 Section: libs
-Priority: extra
-Maintainer: Taku YASUI <tach@debian.org>
-Uploaders: James McCoy <jamessan@debian.org>
+Priority: optional
+Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends-Indep: doxygen,
                      doxygen-latex
-Build-Depends: autoconf,
-               automake,
-               autotools-dev,
-               cmake,
-               debhelper (>= 9),
-               libgtest-dev,
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 11~),
+               googletest,
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3
 Homepage: https://github.com/msgpack/msgpack-c/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/msgpack-c.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/msgpack-c.git
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/jamessan/msgpack-c.git
+Vcs-Browser: https://salsa.debian.org/jamessan/msgpack-c
 
 Package: libmsgpackc2
 Pre-Depends: ${misc:Pre-Depends}
