## msgpack-c 2.1.5-1+8.0trisquel1

=== debian/changelog ===
msgpack-c (2.1.5-1+8.0trisquel1) flidas; urgency=medium

  * Backported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 09 Oct 2018 01:25:41 +0000
