=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: msgpack-c
 Section: libs
 Priority: optional
-Maintainer: James McCoy <jamessan@debian.org>
+Maintainer: Taku YASUI <tach@debian.org>
+Uploaders: James McCoy <jamessan@debian.org>
 Build-Depends-Indep: doxygen,
                      doxygen-latex
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 11~),
-               googletest,
+               debhelper (>= 9),
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 3.9.8
 Homepage: https://github.com/msgpack/msgpack-c/
-Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/jamessan/msgpack-c.git
-Vcs-Browser: https://salsa.debian.org/jamessan/msgpack-c
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/msgpack-c.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/msgpack-c.git
 
 Package: libmsgpackc2
 Pre-Depends: ${misc:Pre-Depends}
