## msgpack-c 3.0.0

=== debian/changelog ===
msgpack-c (3.0.0-1) unstable; urgency=medium

  * New upstream release
    + Fixes FTBFS with gcc8 (Closes: #897815)
    + New v3 C++ API
  * copyright: Bump years for debian/* and *
  * Declare compliance with Policy 4.1.4, no changes needed
  * control: Differentiate libmsgpack-dev short description from libmsgpackc2
  * Build/run some of upstream's examples as basic autopkgtests

 -- James McCoy <jamessan@debian.org>  Thu, 10 May 2018 23:08:20 -0400
