=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: msgpack-c
 Section: libs
 Priority: optional
-Maintainer: Taku YASUI <tach@debian.org>
-Uploaders: James McCoy <jamessan@debian.org>
+Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends-Indep: doxygen,
                      doxygen-latex
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
+               debhelper (>= 11~),
+               googletest,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://github.com/msgpack/msgpack-c/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/msgpack-c.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/msgpack-c.git
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/jamessan/msgpack-c.git
+Vcs-Browser: https://salsa.debian.org/jamessan/msgpack-c
 
 Package: libmsgpackc2
 Pre-Depends: ${misc:Pre-Depends}
@@ -29,7 +30,7 @@
 Depends: libmsgpackc2 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: libmsgpack-doc
-Description: binary-based efficient object serialization library
+Description: binary-based efficient object serialization library (development files)
  MessagePack is a binary-based efficient object serialization library.
  It enables to exchange structured objects between many languages like JSON.
  But unlike JSON, it is very fast and small.
