=== debian/changelog ===
msgpack-c (3.0.1-3) unstable; urgency=medium

  * Use -DBUILD_GTEST=ON to be compatible with googletest < 1.8.1, which
    relied on gmock implicitly builing gtest

 -- James McCoy <jamessan@debian.org>  Sun, 28 Oct 2018 01:25:17 -0400

msgpack-c (3.0.1-2) unstable; urgency=medium

  * rules:
    + Do not fail build if build-gtest/ exists
    + Use -DBUILD_GMOCK=OFF to avoid building gmock, rather than trying to
      only build the googletest sub-directory (Closes: #912061)
    + Ensure dh_doxygen is called after dh_installdocs
  * Opt-in to debhelper 12 beta
  * Declare compliance with Policy 4.2.1, no changes needed
  * Add Build-Depends-Package to libmsgpackc2.symbols

 -- James McCoy <jamessan@debian.org>  Sat, 27 Oct 2018 23:57:16 -0400

msgpack-c (3.0.1-1) unstable; urgency=medium

  * New upstream release
  * Use cmake+ninja dh buildsystem
  * rules: Build googletest so tests can run

 -- James McCoy <jamessan@debian.org>  Sat, 12 May 2018 07:34:55 -0400
