=== debian/control ===
--- 
+++ 
@@ -4,11 +4,14 @@
 Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends-Indep: doxygen,
                      doxygen-latex
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 11~),
-               googletest,
-               zlib1g-dev
-Standards-Version: 4.1.4
+Build-Depends:
+ cmake (>= 2.8.12),
+# 11.2.1~ needed for --buildsystem=cmake+ninja, 11.4~ for 12 beta
+ debhelper (>= 11.4~),
+ googletest,
+ ninja-build,
+ zlib1g-dev
+Standards-Version: 4.2.1
 Homepage: https://github.com/msgpack/msgpack-c/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/jamessan/msgpack-c.git
