=== debian/watch ===
version=3

https://github.com/msgpack/msgpack-c/releases/ (?:.*/)?msgpack-([0-9.]+)\.tar\.gz
